CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Enumerations
- Properties

- a
- b
- c
- d
- e
- g
- i
- l
- n
- o
- p
- r
- s
- t

### - a -

- AckCmdId : CommandMessenger.SendCommand
- Arguments : CommandMessenger.Command

### - b -

- BaudRate : CommandMessenger.SerialSettings
- BaudRateCollection : CommandMessenger.SerialSettings
- BoardType : CommandMessenger.CmdMessenger

### - c -

- CmdId : CommandMessenger.Command
- Command : CommandMessenger.CommandStrategy
- CommandQueue : CommandMessenger.GeneralStrategy , CommandMessenger.CommandStrategy
- Count : CommandMessenger.CommandQueue
- CurrentBluetoothDeviceInfo : CommandMessenger.Bluetooth.BluetoothTransport
- CurrentReceivedCommand : CommandMessenger.Sender
- CurrentReceivedLine : CommandMessenger.CmdMessenger
- CurrentSerialSettings : CommandMessenger.Serialport.SerialTransport

### - d -

- DataBits : CommandMessenger.SerialSettings
- DataBitsCollection : CommandMessenger.SerialSettings
- DtrEnable : CommandMessenger.SerialSettings

### - e -

- EscapeCharacter : CommandMessenger.Escaping

### - g -

- GoalTemperature : DataLogging.TemperatureControl

### - i -

- IsRunning : CommandMessenger.TimedAction

### - l -

- LastLineTimeStamp : CommandMessenger.CommunicationManager
- LastReceivedCommandTimeStamp : CommandMessenger.CmdMessenger
- LogFileName : CommandMessenger.TransportLayer.Logger

### - n -

- Name : CommandMessenger.QueueSpeed

### - o -

- Ok : CommandMessenger.Command

### - p -

- Parity : CommandMessenger.SerialSettings
- PortName : CommandMessenger.SerialSettings
- PortNameCollection : CommandMessenger.SerialSettings
- PrintLfCr : CommandMessenger.CmdMessenger , CommandMessenger.Sender

### - r -

- RawString : CommandMessenger.ReceivedCommand
- ReqAc : CommandMessenger.SendCommand

### - s -

- SerialPort : CommandMessenger.Serialport.SerialTransport
- StopBits : CommandMessenger.SerialSettings
- StringEncoder : CommandMessenger.BinaryConverter

### - t -

- ThreadRunState : CommandMessenger.Bluetooth.BluetoothTransport , CommandMessenger.CommandQueue , CommandMessenger.Serialport.SerialTransport , CommandMessenger.CommandStrategy
- Timeout : CommandMessenger.SendCommand
- TimeStamp : CommandMessenger.Command